Skip to content

EpisysDbExtract⁠

Perform various operations for Symitar parameters.

Operations⁠

getEpisysDbExtractSelectFields⁠

POST

Execute the persistent ParameterService getEpisysDbExtractSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getEpisysDbExtractSelectFields
POST /nexum/627/persistent/parameter/getEpisysDbExtractSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllEpisysDbExtractFields": true,
    "EpisysDbExtractFields": {
      "ExtractDate": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateEpisysDbExtractByID⁠

POST

Execute the persistent ParameterService updateEpisysDbExtractByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateEpisysDbExtractByID
POST /nexum/627/persistent/parameter/updateEpisysDbExtractByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "EpisysDbExtractFields": {
    "ExtractDate": [
      {
        "EntryId": 0,
        "ExtractDate": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}